org.apache.sysds.runtime.compress.cocode

## Enum PlanningCoCoder.PartitionerType

- java.lang.Object
- - java.lang.Enum<PlanningCoCoder.PartitionerType>
  - - org.apache.sysds.runtime.compress.cocode.PlanningCoCoder.PartitionerType

- All Implemented Interfaces:
    Serializable, Comparable<PlanningCoCoder.PartitionerType>
  Enclosing class:
    PlanningCoCoder

      public static enum PlanningCoCoder.PartitionerType
      extends Enum<PlanningCoCoder.PartitionerType>

  The Valid coCoding techniques

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `BIN_PACKING`
    `COST`
    `COST_MATRIX_MULT`
    `COST_TSMM`
    `STATIC`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isCostBased(PlanningCoCoder.PartitionerType pt)`
    `static PlanningCoCoder.PartitionerType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PlanningCoCoder.PartitionerType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### BIN_PACKING

          public static final PlanningCoCoder.PartitionerType BIN_PACKING

    - #### STATIC

          public static final PlanningCoCoder.PartitionerType STATIC

    - #### COST

          public static final PlanningCoCoder.PartitionerType COST

    - #### COST_MATRIX_MULT

          public static final PlanningCoCoder.PartitionerType COST_MATRIX_MULT

    - #### COST_TSMM

          public static final PlanningCoCoder.PartitionerType COST_TSMM

  - ### Method Detail

    - #### values

          public static PlanningCoCoder.PartitionerType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PlanningCoCoder.PartitionerType c : PlanningCoCoder.PartitionerType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PlanningCoCoder.PartitionerType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### isCostBased

          public static boolean isCostBased(PlanningCoCoder.PartitionerType pt)

Copyright © 2021 The Apache Software Foundation. All rights reserved.